input,
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: 0px solid green;
  /*-webkit-box-shadow: 0 0 0px 1000px #f9f9f9 inset;*/
  transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: #000!important;
}

.FormLocalizaOtica input,
.FormLocalizaOtica input:-webkit-autofill,
.FormLocalizaOtica input:-webkit-autofill:hover, 
.FormLocalizaOtica input:-webkit-autofill:focus,
.FormLocalizaOtica textarea:-webkit-autofill,
.FormLocalizaOtica textarea:-webkit-autofill:hover,
.FormLocalizaOtica textarea:-webkit-autofill:focus,
.FormLocalizaOtica select:-webkit-autofill,
.FormLocalizaOtica select:-webkit-autofill:hover,
.FormLocalizaOtica select:-webkit-autofill:focus {
  border: 0px solid green;
  /*-webkit-box-shadow: 0 0 0px 1000px #f9f9f9 inset;*/
  transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: #fff!important;
}

.form-group {
    width: 100%;
	margin-bottom: 15px;
}


.form-control,
.form-control:focus {
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: black;
	height: 60px;
	border: none;
	border-radius: 0;
	box-shadow: none!important;
	outline: none!important;
}

.FormInputBlack {
	background: rgba(0,0,0,0.03);
}

.FormInputBlack:focus {
	background: rgba(0,0,0,0.45);
}

.FormInputWhite {
	background: rgba(255,255,255,0.25);
}

.FormInputWhite:focus {
	background: rgba(255,255,255,0.35);
}


.FormOndeEncontrar {
	position: relative;
	width: 400px;
	background: transparent!important;
	border: 1px solid #7fa7b8!important;
	color: white!important;
	padding: 0 0 0 35px!important;
}

.form-alternative {
	height: 40px!important;
	font-size: 10px!important;
}

.form-control::placeholder {
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: white;
}

label {
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: black;
	pointer-events: none;
}

.TextoLabelOndeEncontrar {
	color: #7fa7b8!important;
}

.FormMaterial {
	position: relative;
}

.FormMaterial input {
	padding: 15px 0 0 70px;
	border: 1px solid rgba(0,0,0,0.0);
	border-radius: 30px;
}

.FormMaterial input:focus {
	border: 1px solid rgba(0,0,0,0.0);
	border-radius: 30px;
}

.FormCadastro {
	position: relative;
}

.FormCadastro input {
	padding: 15px 0 0 45px;
	border: 1px solid rgba(0,0,0,0.0);
	border-radius: 30px;
}

.FormCadastro input:focus {
	border: 1px solid rgba(0,0,0,0.0);
	border-radius: 30px;
}

.FormMaterial label {
	position: absolute;
	cursor: text;
	margin: -40px 0 0 70px;
	
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	
    -webkit-transition: all 0.15s ease;
    -moz-transition: all 0.15s ease;
    -o-transition: all 0.15s ease;
    -ms-transition: all 0.15s ease;
    transition: all 0.15s ease;
}

.FormMaterial input.filled ~ label,
.FormMaterial input:focus ~ label {
    font-size: 12px;
    position: absolute;
    margin: -55px 0 0 70px;
	color: #3A4521;
}

.FormCadastro label {
	position: absolute;
	cursor: text;
	margin: -40px 0 0 35px;
	
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	
    -webkit-transition: all 0.15s ease;
    -moz-transition: all 0.15s ease;
    -o-transition: all 0.15s ease;
    -ms-transition: all 0.15s ease;
    transition: all 0.15s ease;
}

.FormCadastro input.filled ~ label,
.FormCadastro input:focus ~ label {
    font-size: 12px;
    position: absolute;
    margin: -55px 0 0 35px;
	color: #005c9f;
}

.LabelRequired:before {
	position: absolute;
	content: '*';
	color: #00a5c9;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	top: 0;
	right: 0;
	margin: 4px 0 0 0;
	width: 20px;
	height: 20px;
	pointer-events: none;
}

.LabelMensagem {
	position: absolute;
	margin: 16px 0 0 30px;
	
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	
    -webkit-transition: all 0.15s ease;
    -moz-transition: all 0.15s ease;
    -o-transition: all 0.15s ease;
    -ms-transition: all 0.15s ease;
    transition: all 0.15s ease;
}

.ForceFilled {
    font-size: 12px!important;
    color: #00a5c9!important;
    position: absolute!important;
    margin: -55px 0 0 14px!important;
}

.LabelSelectMaterial {
	font-size: 12px;
	position: absolute;
	font-weight: 500;
	margin: 5px 0 0 14px;
	z-index: 11;
}

.Textarea {
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: black;
	width: 100%;
	height: 150px;
	border-radius: 30px;
	outline: none;
	padding: 45px 30px 30px 30px;
	border: 1px solid rgba(0,0,0,0.0);
}

.Textarea:focus {
	outline: none;
	box-shadow: none;
	background: rgba(255,255,255,0.35);
	border: 1px solid rgba(0,0,0,0.0);
}

.FormMaterial .ReadOnly,
.FormMaterial .ReadOnly:focus {
	background: white;
	cursor: default;
}



.BtnEnviarNovaMensagem {
	display: inline-flex;
    color: #12A7B8;
    background: #2C688E;
	font-family: 'Montserrat', sans-serif;
	font-weight: 700;
	font-size: 10px;
	letter-spacing: 4px;
	text-align: center;
	margin: 0 0 0 0;
	padding: 12px 12px;
	border: none;
	outline: none;
    
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
}

.BtnEnviarNovaMensagem:hover,
.BtnEnviarNovaMensagem:focus,
.BtnEnviarNovaMensagem:active {
    background: #235b7e;
	color: #12A7B8;
	border: none;
	outline: none;
    
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
}


.form-check-label {
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
    margin: 0;
    padding: 0;
	color: white;
}










.Welcome .FormularioCliente .FechaFormulario {
	position: absolute;
	top: 0;
	right: 0;
	width: 40px;
	height: 40px;
	border-radius: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background: #697351;
	margin: 15px 15px 0 0;

    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.Welcome .FormularioCliente .FechaFormulario:hover {
	transform: rotate(90deg);

    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.Welcome .FormularioCliente .FechaFormulario .IconeClose {
	width: 22px;
	height: auto;
	display: block;
}



.form-check {
	margin-right: 12px;
}

.form-check-label {
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: black;
	pointer-events: none;
}

.InputImagem {
    width: 100%;
    position: relative;
    height: 55px;
	margin-bottom: 15px;
}

.InputImagem label {
    position: relative;
    margin: 0;
}

.InputImagem label.error {
    color: red!important;
    position: absolute!important;
    top: 0;
    left: 0;
    margin-top: -25px!important;
}

.InputImagem input[type='file'] {
    width:100%;
    height:55px;
    opacity:0;
    background: none;
    background-image:none;
    border:none;
    outline: none;
    cursor: pointer;
}

#val {
	width: 100%;
	height: 55px;
	position: absolute;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: black;
	text-indent: 10px;
	pointer-events: none;
	border: 0px solid rgba(0,0,0,0.30);
	background: rgba(255,255,255,0.25);
	margin-top: -55px;
	padding: 0 0 0 15px;
	border-radius: 30px;
	opacity: 0;
}

.Show_Val1 {
	opacity: 1!important;
}

#ButtonUpload {
	cursor: pointer;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 20%;
	height:55px;
	background: var(--BackgroundColor2);
	color: white;
	position: absolute;
	right:0;
	top: 0;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	font-size: 14px;
	letter-spacing: 0.5px;
	color: black;
	text-align: center;
	border-radius: 30px;
	-webkit-transition: 500ms all;
	-moz-transition: 500ms all;
	transition: 500ms all;
}

#ButtonUpload img {
    width: 35px;
    height: auto;
    filter: var(--FilterLight1);
}

.BtnEnviarArquivo {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: auto;
    height:55px;
    padding: 0 25px;
    background-color: #00a5c9;
    color: white;
    position: absolute;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 10px;
    letter-spacing: 2px;
    text-align: center;
    border-radius: 8px;
}

#ButtonUpload:hover {
    background-color: 006699;
}





/* The container must be positioned relative: */
.custom-select {
    position: relative;
    width: 100%!important;
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    font-size: 14px;
	color: black;
    letter-spacing: 0.5px;
    height: 60px;
    padding: 0;
    border: none;
}

.custom-select select {
    display: none!important; /*hide original SELECT element: */
}


/* Style the arrow inside the select element: */
.select-selected:after {
    position: absolute;
    content: "";
    top: 28px;
    right: 25px;
    width: 10px;
    height: 10px;
	border-bottom: 2px solid #00a5c9;
	border-right: 2px solid #00a5c9;
	transform: rotate(45deg) translateY(-50%);
	transition: all .4s ease-in-out;
	transform-origin: 50% 0;
}

/* Point the arrow upwards when the select box is open (active): */
.select-selected.select-arrow-active:after {
    transform: rotate(-135deg) translateY(-50%);
}

.select-selected {
    height: 60px;
    padding: 20px 0 0 35px;
    border-radius: 30px;
    cursor: pointer;
	background: #f7f7f7;
}

/* style the items (options), including the selected item: */
.select-items div{
    height: auto;
    color: black;
    padding: 8px 0 8px 15px;
    border-radius: 0px;
    cursor: pointer;
	
	border: 1px solid #e5e5e5;
	background: white;

	-webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;	
}

.select-items div:first-child {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
	
	border: 1px solid #e5e5e5;
	background: white;

	-webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;	
}

.select-items div:last-child {
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
	
	border: 1px solid #e5e5e5;
	background: white;
}

/* Style items (options): */
.select-items {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 99;
    border-radius: 0px;
    max-height: 300px;
    overflow: hidden;
    overflow-y: auto;
}

/* Hide the items when the select box is closed: */
.select-hide {
    display: none;
}

.select-items div:hover, .same-as-selected {
    padding-left: 20px;

	-webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;	
}
